Subject: Re: [RFC v2 2/4] net: enables interface option to skip IP

From: Stephen Hemminger <[email-masked]>
Date: Tue, 18 Feb 2014 13:42:57 -0800

On Tue, 18 Feb 2014 13:19:15 -0800
"Luis R. Rodriguez" <[email-masked]> wrote:

> Sure, but note that the both disable_ipv6 and accept_dada sysctl
> parameters are global. ipv4 and ipv6 interfaces are created upon
> NETDEVICE_REGISTER, which will get triggered when a driver calls
> register_netdev(). The goal of this patch was to enable an early
> optimization for drivers that have no need ever for ipv4 or ipv6
> interfaces.

The trick with ipv6 is to register the device, then have userspace
do the ipv6 sysctl before bringing the device up.